/*

                                   _JNJ`                        
                               .JNMH`                           
                              JMMF`       `;.                   
                            .NMM)          `MN.                 
                            MMM)            (MML                
                           (MMM`             MMML               
                     M  I  D  N  I  G  H  T    C  o  D  E       
                           (NMMF             MHNH               
                            NMML            .MMM                
                             NMML          .NMH                 
                              4MMNL       .#F                   
                               `4HNNL_   `                      
                                   `"""`                        

                          Copyright (C) 2004-2006
       "Ian (Larry) Latter" <ian dot latter at midnightcode dot org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, and mirrored at the Midnight Code web
    site; as at version 2 of the License only.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    (version 2) along with this program; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA, or see http://midnightcode.org/gplv2.txt

*/


/* midnightcode-status.h :: Midnight Code status display library	*/


#ifndef __MIDNIGHTCODE_STATUS_H
#define __MIDNIGHTCODE_STATUS_H


enum midnightcode_status_type_t
{
  MIDNIGHTCODE_STATUS_TYPE_H1 = 1,
  MIDNIGHTCODE_STATUS_TYPE_H2,
  MIDNIGHTCODE_STATUS_TYPE_TEXT,
  MIDNIGHTCODE_STATUS_TYPE_BLURB,
  MIDNIGHTCODE_STATUS_TYPE_UNKNOWN
};

enum midnightcode_status_style_t
{
  MIDNIGHTCODE_STATUS_STYLE_SOFT = 1,
  MIDNIGHTCODE_STATUS_STYLE_NORMAL,
  MIDNIGHTCODE_STATUS_STYLE_STRONG,
  MIDNIGHTCODE_STATUS_STYLE_UNKNOWN
};

enum midnightcode_status_flag_t
{
  MIDNIGHTCODE_STATUS_FLAG_OKAY = 1,
  MIDNIGHTCODE_STATUS_FLAG_WARN,
  MIDNIGHTCODE_STATUS_FLAG_FAIL,
  MIDNIGHTCODE_STATUS_FLAG_UNKNOWN
};

int midnightcode_status_text(int type, int style, const char *fmt, ...);
int midnightcode_status_flag(int status);


#endif
